From edacd4cead8eda3f3b93bf43f6eee12dbf5f5988 Mon Sep 17 00:00:00 2001
From: James Coleman <jamecoleman@paypal.com>
Date: Fri, 29 Sep 2023 17:00:56 +0000
Subject: [PATCH v1] Correct HOT docs to account for LP_REDIRECT

---
 doc/src/sgml/storage.sgml | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/doc/src/sgml/storage.sgml b/doc/src/sgml/storage.sgml
index 148fb1b49d..d816000ef2 100644
--- a/doc/src/sgml/storage.sgml
+++ b/doc/src/sgml/storage.sgml
@@ -1123,9 +1123,12 @@ data. Empty in ordinary tables.</entry>
     <para>
      Old versions of updated rows can be completely removed during normal
      operation, including <command>SELECT</command>s, instead of requiring
-     periodic vacuum operations.  (This is possible because indexes
-     do not reference their <link linkend="storage-page-layout">page
-     item identifiers</link>.)
+     periodic vacuum operations. However because indexes reference the old
+     version's <link linkend="storage-page-layout">page item identifiers</link>
+     the line pointer must remain in place. Such a line pointer has its
+     <literal>LP_REDIRECT</literal> bit set and its offset updated to the
+     <link linkend="storage-page-layout">page item identifiers</link> of
+     the updated row.
     </para>
    </listitem>
   </itemizedlist>
-- 
2.30.2

